Katello - Bug #23981

JS console errors on manifest page
06/18/2018 02:21 PM - Andrew Kofink

Status: Rejected

Priority: Normal

Assignee:

Category: Subscriptions

Target version: Katello Recycle Bin

Difficulty: Fixed in Releases:

Triaged: Yes Found in Releases: Katello 3.7.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

On a fresh centos7-katello-3.7 box (no manifest imported):
1. Navigate to Content -> Subscriptions

Actual

import:32 GET https://centos7-katello-3-7.virbr0O.akofink-desktop/javascripts/bastion/angular-il18n/
angular-locale_en.js 404 (Not Found)
import:32 GET https://centos7-katello-3-7.virbr0.akofink-desktop/javascripts/bastion/angular-i18n/
angular-locale_en.js 404 (Not Found)
import:1 Refused to execute script from 'https://centos7-katello-3-7.virbr0.akofink-desktop/javasc
ripts/bastion/angular-il8n/angular—-locale_en.js' because its MIME type ('text/html') is not execut
able, and strict MIME type checking is enabled.
vendor-4d3f5ba9cd5a8dd88a69.js:67 [Violation] 'DOMContentLoaded' handler took 161lms
bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:30285 TypeError: Canno
t read property '0O' of null

at bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:86932

at Scope.S$digest (bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. Js:
33808)

at Scope.$apply (bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:3
4072)

at done (bastion-33c698dac5026546914c998£2897ddcd66£f098082bc57dbel2d6el12585d6beb9.js:28307)

at completeRequest (bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. j
5:28513)

at XMLHttpRequest.requestLoaded (bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2dée
12585d6beb9. js:28446)
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:30285
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9.js:26960
Sdigest @ bastion-33c698dac5026546914c998f2897ddcd66f098082bc57dbel2d6el2585d6beb9. js:33826
Sapply @ bastion-33c698dac5026546914c998f2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:34072
done @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28307
completeRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:2851
3
requestLoaded @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:28446
load (async)
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28429
sendReqg @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28252
serverRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9.js:27962
processQueue @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6bebd. js:32696
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:32712
Seval @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6bebd. js:33964
$digest @ bastion-33c698dac5026546914c998£2897ddcd66£f098082bc57dbel2d6el12585d6beb9. js:33780
Sapply @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:34072
done @ bastion-33c698dac5026546914c998£2897ddcd66£f098082bc57dbel2d6el2585d6beb9. §s:28307
completeRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9. js:2851
3
requestLoaded @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28446
load (async)

(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28429
sendReqg @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28252
serverRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9.js:27962
processQueue @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9. js:32696
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:32712
Seval @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6bebd. js:33964

$digest @ bastion-33c698dac5026546914c998£2897ddcd66f098082bc57dbel2d6el12585d6beb9. js:33780
Sapply @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:34072

done @ bastion-33c698dac5026546914c998£2897ddcd66f098082bc57dbel2d6el2585d6beb9. js:28307
completeRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9. js:2851
3

requestLoaded @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:28446
load (async)

(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:28429
sendReqg @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28252
serverRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:27962
processQueue @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9.js:32696
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9. js:32712
Seval @ bastion-33c698dac5026546914c998f2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:33964

Sdigest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:33780
Sapply @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:34072

done @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28307
completeRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:2851
3

requestLoaded @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28446
load (async)

(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:28429
sendReq @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:28252
serverRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:27962
processQueue @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9. js:32696
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:32712
Seval @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:33964

$digest @ bastion-33c698dac5026546914c998£2897ddcd66£f098082bc57dbel2d6e12585d6beb9. js:33780
Sapply @ bastion-33c698dac5026546914c998f2897ddcd66f098082bc57dbel2d6el2585d6beb9. js:34072

done @ bastion-33c698dac5026546914c998£f2897ddcd66£098082bc57dbel2d6el12585d6beb9.js:28307
completeRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9. js:2851
3

requestLoaded @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:28446
load (async)

(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28429
sendReqg @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:28252
serverRequest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. §s:27962
processQueue @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9.js:32696
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:32712
Seval @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:33964

$digest @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6bebd. js:33780
Sapply @ bastion-33c698dac5026546914c998£f2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:34072
bootstrapApply @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9.js:18484
invoke @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el2585d6beb9. js:21400
doBootstrap @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6el12585d6beb9. js:18482
bootstrap @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9.js:18502
(anonymous) @ bastion-33c698dac5026546914c998£2897ddcd66£098082bc57dbel2d6e12585d6beb9. js:88615
(anonymous) @ application-3b3633c341fcS5edfebfeal09dee22564ffb8effdceda30£335461£f3f74fede28.js:1
dispatch @ vendor-4d3f5ba9cd5a8dd88a69. js:67

b.handle @ vendor-4d3f5ba%9cd5a8dd88a69.js:67

trigger @ vendor-4d3f5ba9cd5a8dd88a69.js:67

(anonymous) @ vendor-4d3f5ba9cd5a8dd88a69. js:67

each @ vendor-4d3f5ba9cd5a8dd88a69.js:56

each @ vendor-4d3f5ba9cd5a8dd88a69.js:56

trigger @ vendor-4d3f5ba9%cd5a8dd88a69.js:67

onLoad @ application-3b3633c341fc5edfebfeal09dee22564ffb8effdceda30£335461£f3f74fede28.js:1

1 @ vendor-4d3f5ba9cd5a8dd88a69.js:67

fireWith @ vendor-4d3f5ba%9cd5a8dd88a69.js:67

ready @ vendor-4d3f5ba9%cd5a8dd88a69.js:67

R @ vendor-4d3f5ba9cd5a8dd88a69.js:67
Expected
No JS errors!

History

#1 - 06/20/2018 05:54 PM - Jonathon Turel
- Status changed from New to Rejected

- translation missing: en.field_release set to 166

#2 - 07/12/2018 02:57 PM - Greg Sutcliffe
- Triaged set to No
- Found in Releases Katello 3.7.0 added

05/18/2024

3/3


http://www.tcpdf.org

